<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>
    <!-- CSS only -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
  </head>
  <style>
    .grid-container {
      display: grid;
      grid-template-columns: 18% 82%;
    }
    .card-product {
      width: 350px;
      height: 450px;
      background-color: white;
      margin-left: 5%;
      border-radius: 15px;
    }
    .content-section {
      text-align: center;
    }
    .bg {
      background: url(static/images/testProduct.jpg);
    }
    .img-profile-upload {
      width: 120px;
      height: 120px;
      border-radius: 50px;
    }
    .addCard-btn {
      margin-top: 10%;
      width: 150px;
      height: 38px;
      background-color: white;
      color: black;
      text-align: center;
      border-radius: 20px;
      padding-top: 5px;
    }
    input {
      width: 100%;
      height: 50px;
      border-radius: 18px;
      border-top-style: hidden;
      border-right-style: hidden;
      border-left-style: hidden;
      border-bottom-style: hidden;
      padding-left: 12px;
      color: #7b7b7b;
    }
    .head-content {
      width: 600px;
      height: 220px;
      display: flex;
      padding-top: 8%;
    }
    .content {
      font-family: Century Gothic;
      font-weight: bold;
      color: #7b7b7b;
      width: 100%;
      margin-left: 40px;
    }
    .form-content {
      font-family: Century Gothic;
    }
    .btn-save {
      width: 250px;
      height: 50px;
      background-color: #a9d18e;
      text-align: center;
      font-family: Century Gothic;
      font-size: 20px;
      border: none;
      margin-left: auto;
      margin-right: auto;
      border-radius: 18px;
      display: flex;
      justify-content: center;
      align-items: center;
      margin-top: 8%;
    }
    #display_image {
      min-width: 100px;
      max-height: 100px;
      border-radius: 50%;
      border: 1px solid black;
      background-position: center;
      background-size: cover;
    }
    .chooseFile {
      padding: 5px;
      color: white;
      background-color: #a9d18e;
      text-align: center;
      border-radius: 8px;
      margin-top: 10px;
      font-family: Century Gothic;
      cursor: pointer;
    }
  </style>
  <body style="background-color: #ececec">
    <div class="grid-container">
      <div>{% include 'sidebar.html' %}</div>
      <div
        style="
          width: 100%;
          margin-left: auto;
          margin-right: auto;
          display: flex;
          justify-content: center;
        "
      >
        <div style="height: 100vh">
          <div class="head-content">
            <div>
              <div
                id="display_image"
                style="
                  height: 100px;
                  width: 100px;
                  text-align: center;
                  margin-left: auto;
                  margin-right: auto;
                "
              ></div>
              <form id="update_image_profile" enctype="multipart/form-data">
                <input
                  type="file"
                  name = "file"
                  id="image_input"
                  style="margin-top: 5%; display: none"
                  title=" "
                />
              </form>
              <label class="chooseFile" for="image_input">Choose file </label>
            </div>

            <div class="content">
              <div style="font-size: 35px">{{current_user.get_profile().fullname}}</div>
              <div style="font-size: 20px">Nongchok,BKK</div>
            </div>
          </div>
          <div class="form-content">
            <div
              style="
                margin-top: 1%;
                width: 600px;

                text-align: left;
              "
            >
              <form action="{{url_for('user.update_profile')}}" method="POST">
                <p style="font-size: 20px; margin-bottom: 2px">Username</p>
                <input
                  type="text"
                  name="username"
                  class="no-outline"
                  style="margin-top: 2%"
                  placeholder="Enter Something"
                  value="{{current_user.get_profile().username}}"
                />
                <p style="font-size: 20px; margin-bottom: 2px; margin-top: 3%">
                  Full Name
                </p>
                <input
                  type="text"
                  name="fullname"
                  class="no-outline"
                  style="margin-top: 2%"
                  placeholder="Enter Something"
                  value="{{current_user.get_profile().fullname}}"
                />
                <p style="font-size: 20px; margin-bottom: 2px; margin-top: 3%">
                  Email
                </p>
                <input
                  type="text"
                  name="email"
                  class="no-outline"
                  style="margin-top: 2%; font-weight: bold"
                  placeholder="Enter Something"
                  value="{{current_user.get_profile().email}}"
                  readonly
                />

                <button type="submit" class="btn-save" style="color: white">
                  Save
                </button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
<script>
const image_input = document.querySelector("#image_input");
var uploaded_image = ""
image_input.addEventListener('change', function() {
  const reader = new FileReader();
  form = document.getElementById("update_image_profile");
  reader.addEventListener('load', () => {
    uploaded_image = reader.result;
    document.querySelector("#display_image").style.backgroundImage = `url(${uploaded_image})`;
    const formData = new FormData(form);  // grab the data inside the form fields
    
    fetch('{{url_for("user.upload_image_profile")}}', {   // assuming the backend is hosted on the same server
        method: 'POST',
        body: formData,
    }).then(function(response) {
        // do something with the response if needed.
        // If you want the table to be built only after the backend handles the request and replies, call buildTable() here.
    });
  });
  reader.readAsDataURL(this.files[0]);
});
setDefaultImg();
function setDefaultImg(){
  if(uploaded_image = " "){
    document.querySelector("#display_image").style.backgroundImage = `url(${"{{url_for('static', filename = 'images/user_profile/'+current_user.get_profile().profile_image)}}"})`;
  }
}
</script>
